# Uses of Interface
com.logicaldoc.core.security.menu.MenuDAO

Packages that use MenuDAO
Package
Description
com.logicaldoc.core.security.menu
Package for the Menu, a menu represent a graphical element of the user interface
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of MenuDAO in com.logicaldoc.core.security.menu

Classes in com.logicaldoc.core.security.menu that implement MenuDAO
Modifier and Type
Class
Description
`class`
`HibernateMenuDAO`
Hibernate implementation of `MenuDAO`
Methods in com.logicaldoc.core.security.menu that return MenuDAO
Modifier and Type
Method
Description
`static MenuDAO`
MenuDAO.`get()`
Gets the object available in the application context

## Uses of MenuDAO in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return MenuDAO
Modifier and Type
Method
Description
`MenuDAO`
HibernateGroupDAO.`getMenuDAO()`
Methods in com.logicaldoc.core.security.user with parameters of type MenuDAO
Modifier and Type
Method
Description
`void`
HibernateGroupDAO.`setMenuDAO(MenuDAO menuDAO)`